Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Train.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Train.java	(revision 0)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Train.java	(revision 687)
@@ -0,0 +1,374 @@
+package org.txm.treetagger.rcp.handlers;
+
+import java.io.BufferedOutputStream;
+import java.io.BufferedReader;
+import java.io.BufferedWriter;
+import java.io.File;
+import java.io.FileOutputStream;
+import java.io.OutputStreamWriter;
+import java.io.PrintStream;
+import java.io.PrintWriter;
+import java.util.ArrayList;
+import java.util.Arrays;
+import java.util.HashMap;
+import java.util.HashSet;
+import java.util.LinkedHashMap;
+import java.util.LinkedHashSet;
+import java.util.List;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Status;
+import org.eclipse.jface.viewers.ISelection;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.ui.IWorkbenchWindow;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.kohsuke.args4j.Option;
+import org.txm.core.preferences.TBXPreferences;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.index.core.functions.Index;
+import org.txm.index.core.functions.Line;
+import org.txm.rcp.swt.widget.parameters.ParametersDialog;
+import org.txm.rcp.utils.JobHandler;
+import org.txm.searchengine.cqp.AbstractCqiClient;
+import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
+import org.txm.searchengine.cqp.corpus.Property;
+import org.txm.searchengine.cqp.corpus.query.Match;
+import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.treetagger.core.preferences.TreeTaggerPreferences;
+import org.txm.utils.DeleteDir;
+import org.txm.utils.io.IOUtils;
+import org.txm.utils.logger.Log;
+import org.txm.utils.treetagger.TreeTagger;
+
+/**
+ * Our sample handler extends AbstractHandler, an IHandler base class.
+ * @see org.eclipse.core.commands.IHandler
+ * @see org.eclipse.core.commands.AbstractHandler
+ */
+public class Train extends AbstractHandler {
+
+	public Corpus corpus = null;
+
+	@Option(name="model", usage="The model file to create", widget="CreateFile", required=true, def="fr.par")
+	public File model = null;
+	@Option(name="posProperty", usage="The pos property", widget="String", required=true, def="frpos")
+	public String posProperty = null;
+	@Option(name="sentenceTag", usage="The pos property", widget="String", required=true, def="SENT")
+	public String sentenceTag = null;
+	@Option(name="lemmaProperty", usage="The lemma property", widget="String", required=true, def="frlemma")
+	public String lemmaProperty = null;
+	@Option(name="lexique", usage="Lexicon file", widget="File", required=true, def="lexicon.txt")
+	public File lexique = null;
+	@Option(name="options", usage="TreeTagger supplementary options", widget="String", required=true, def="")
+	public String options = null;
+
+	/**
+	 * 
+	 */
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+
+
+		IWorkbenchWindow window = HandlerUtil.getActiveWorkbenchWindowChecked(event);
+
+		ISelection isel = window.getActivePage().getSelection();
+		if (isel instanceof IStructuredSelection) {
+			IStructuredSelection sel = (IStructuredSelection)isel;
+			Object first = sel.getFirstElement();
+			if (first instanceof Corpus) {
+				corpus = (Corpus)first;
+				if (ParametersDialog.open(this)) {
+
+					train(corpus, model, lexique, new String[]{posProperty, lemmaProperty}, sentenceTag, options.split("  "));
+
+					return corpus;
+				}
+			}
+		}
+
+		System.out.println("Wrong selection.");
+		return null;
+	}
+
+	public static void train(final Corpus corpus, final File model, final File lexique, final String[] properties, final String sentenceTag, final String[] options) {
+
+		JobHandler job = new JobHandler("Applying TreeTagger to "+corpus+" corpus.") {
+			@Override
+			protected IStatus run(IProgressMonitor monitor) {
+				this.runInit(monitor);
+				try {
+					File lexique2 = lexique;
+					MainCorpus mainCorpus = corpus.getMainCorpus();
+					File corpusBinaryDirectory = mainCorpus.getBaseDirectory();
+					
+					System.out.println("TRAIN : "+corpus+" with "+lexique2+" to create "+model+ " with properties "+Arrays.toString(properties));
+
+					if (properties == null || properties.length != 2) {
+						System.out.println("Error can't continue with selected word properties: "+Arrays.toString(properties));
+						return Status.CANCEL_STATUS;
+					}
+
+					for (String p : properties) {
+						Property prop = corpus.getProperty(p);
+						if (prop == null) {
+							System.out.println("Missing property in corpus: "+p);
+							return Status.CANCEL_STATUS;
+						}
+					}
+					
+					Property pos = corpus.getProperty(properties[0]);
+					Property lemma = corpus.getProperty(properties[1]);
+					
+					// Prepare temporary directory
+					File treetaggerSrcDirectory = new File(mainCorpus.getBaseDirectory(), "treetagger");
+					DeleteDir.deleteDirectory(treetaggerSrcDirectory);
+					treetaggerSrcDirectory.mkdirs();
+					
+					HashMap<String, HashSet<String>> simplified_lexicon = null;
+					HashMap<String, HashSet<String>> simplified_lexicon_errors = null;
+					int error_counter = 0;
+					// Create Lexicon file from an Index
+					if (lexique2 == null || !lexique2.exists()) {
+						System.out.println("Warning: no lexicon file or given lexicon file does not exist ("+lexique2+"). Using corpus Index...");
+
+						File lexiconfile = new File(treetaggerSrcDirectory, "lexicon.txt");
+						List<Property> corpusProperties = new ArrayList<Property>();
+						corpusProperties.add(mainCorpus.getProperty("word"));
+						for (String p : properties) {
+							Property prop = mainCorpus.getProperty(p);
+							if (prop == null) {
+								System.out.println("Error, a property is missing: "+p);
+								return Status.CANCEL_STATUS;
+							}
+							corpusProperties.add(prop);
+						}
+						Index index = new Index(mainCorpus);
+						index.setParameters(new Query("[]"), corpusProperties, null, null, null, null);
+						index.compute(monitor);
+						List<Line> lines = index.getAllLines();
+						LinkedHashMap<String, ArrayList<String>> lex = new LinkedHashMap<String, ArrayList<String>>();
+						HashMap<String, HashSet<String>> allPosValues = new HashMap<String, HashSet<String>>();
+						for (Line l : lines) {
+							List<List<String>> values = l.getUnitsProperties();
+							String form = values.get(0).get(0);
+							if (!lex.containsKey(form)) {
+								ArrayList<String> pairs = new ArrayList<String>();
+								HashSet<String> posValues = new HashSet<String>();
+								
+								allPosValues.put(form, posValues);
+								lex.put(form, pairs);
+							}
+							ArrayList<String> pairs = lex.get(form);
+							HashSet<String> posValues = allPosValues.get(form);
+							String posValue = values.get(1).get(0);
+							String lemmaValue = values.get(2).get(0);
+							if (posValues.contains(posValue)) {
+								
+							} else {
+								posValues.add(posValue);
+								pairs.add(posValue);
+								pairs.add(lemmaValue);
+							}
+						}
+
+						BufferedWriter writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(lexiconfile), "UTF-8"));
+						for (String form : lex.keySet()) {
+
+							writer.write(form);
+							boolean tab = true;
+							for (String v : lex.get(form)) {
+								if (tab) writer.write("\t"+v);
+								else writer.write(" "+v);
+								
+								tab = !tab;
+							}
+							writer.write("\n");
+						}
+						writer.close();
+						lexique2 = lexiconfile;
+					} else { // diagnose lexicon content
+						simplified_lexicon = new HashMap<String, HashSet<String>>();
+						simplified_lexicon_errors = new HashMap<String, HashSet<String>>();
+						BufferedReader reader = IOUtils.getReader(lexique2);
+						String line = reader.readLine();
+						while (line != null) {
+							String[] split = line.split("\t", 2);
+							HashSet<String> posValues = new HashSet<String>();
+							simplified_lexicon.put(split[0], posValues);
+							for (String poslemme : split[1].split("\t")) {
+								String[] split2 = poslemme.split(" ", 2);
+								posValues.add(split2[0]);
+							}
+							line = reader.readLine();
+						}
+						reader.close();
+					}
+					
+					
+					// create TT SRC file from CWB indexes
+					
+					File ttSrcFile = new File(treetaggerSrcDirectory, mainCorpus.getName()+".tt");
+					System.out.println("TT SRC file: "+ttSrcFile.getAbsolutePath());
+					BufferedOutputStream fos = new BufferedOutputStream(new FileOutputStream(ttSrcFile));
+					PrintStream ps = new PrintStream(fos);
+					LinkedHashSet<Integer> positions = new LinkedHashSet<Integer>();
+					Property word = corpus.getProperty("word");
+					AbstractCqiClient CQI = CQPEngine.getCqiClient();
+					for (Match m : corpus.getMatches()) {
+						for (int i = m.getStart() ; i <= m.getEnd() ; i++) { // end match must be included
+							positions.add(i);
+							
+							if (positions.size() >= 1000) { // avoid too big array
+								int[] positions_array = new int[positions.size()];
+								int ip = 0;
+								for (int p : positions) positions_array[ip++] = p;
+								String[] words = CQI.cpos2Str(word.getQualifiedName(), positions_array);
+								String[] values = CQI.cpos2Str(pos.getQualifiedName(), positions_array);
+
+								for (int iW = 0 ; iW < words.length ; iW++) {
+									String w = words[iW];
+									if (w != null) {
+										String s = w+"\t"+values[iW];
+										ps.println(s);
+										
+										if (simplified_lexicon != null) { // check given lexicon
+											if (simplified_lexicon.containsKey(w)) {
+												if (!simplified_lexicon.get(w).contains(values[iW])) {
+													//System.out.println("Lexicon error: cannot find pos="+values[iW]+" for form="+w);
+													if (!simplified_lexicon_errors.containsKey(w)) simplified_lexicon_errors.put(w, new HashSet<String>());
+													HashSet<String> error_values = simplified_lexicon_errors.get(w);
+													error_values.add(values[iW]);
+													error_counter++;
+												}
+											} else {
+												//System.out.println("Lexicon error: cannot find form="+w);
+												if (!simplified_lexicon_errors.containsKey(w)) simplified_lexicon_errors.put(w, new HashSet<String>());
+												HashSet<String> error_values = simplified_lexicon_errors.get(w);
+												error_values.add("#"+values[iW]);
+												error_counter++;
+											}
+										}
+									}
+								}
+								positions.clear();
+							}
+						}
+					}
+					if (positions.size() > 0) { // write last words
+						int[] positions_array = new int[positions.size()];
+						int ip = 0;
+						for (int p : positions) positions_array[ip++] = p;
+						String[] words = CQI.cpos2Str(word.getQualifiedName(), positions_array);
+						String[] values = CQI.cpos2Str(pos.getQualifiedName(), positions_array);
+
+						for (int iW = 0 ; iW < words.length ; iW++) {
+							String w = words[iW];
+							if (w != null) {
+								String s = w+"\t"+values[iW];
+								ps.println(s);
+							}
+						}
+						positions.clear();
+					}
+					ps.close();
+					
+					if (simplified_lexicon_errors != null && simplified_lexicon_errors.size() > 0) {
+						File error_file = new File(treetaggerSrcDirectory, "errors.txt");
+						PrintWriter errorwriter = IOUtils.getWriter(error_file);
+						int c = 0;
+						System.out.println("Warning, lexicon errors ("+error_counter+") found with words:");
+						for (String w : simplified_lexicon_errors.keySet()) {
+							errorwriter.println(w+"="+simplified_lexicon_errors.get(w));
+							if (c < 10) {
+								System.out.println(w+"="+simplified_lexicon_errors.get(w));
+								c++;
+								if (c == 10) System.out.println("... errors display is trucated, see "+error_file.getAbsolutePath());
+							}
+						}
+						errorwriter.close();
+						//System.out.println("Cannot apply train-treetagger if lexicon is missing words and pos.");
+						//return Status.CANCEL_STATUS;
+						File lexique3 = new File(lexique2.getParentFile(), lexique2.getName()+".fix");
+						BufferedReader reader = IOUtils.getReader(lexique2);
+						PrintWriter writer = IOUtils.getWriter(lexique3);
+						String line = reader.readLine();
+						while (line != null) {
+							String w = line.split("\t", 2)[0];
+							
+							if (simplified_lexicon_errors.containsKey(w)) {
+								for (String p : simplified_lexicon_errors.get(w)) {
+									if (!p.startsWith("#"))
+										line += ("\t"+p+" <no_lemma>"); // append missing value
+								}
+								simplified_lexicon_errors.remove(w);
+							}
+							
+							writer.println(line);
+							line = reader.readLine();
+						}
+						
+						// write missing words
+						for (String w2 : simplified_lexicon_errors.keySet()) {
+							writer.print(w2);
+							for (String p : simplified_lexicon_errors.get(w2)) {
+								writer.print("\t"+p+" <no_lemma>");
+							}
+							writer.println("");
+						}
+						
+						reader.close();
+						writer.close();
+						System.out.println("Adding words to a temporary lexicon: "+lexique3);
+						lexique2 = lexique3;
+					}
+					
+					// Create open class file : contains all pos values
+					File openclassfile = new File(treetaggerSrcDirectory, "openclasses.txt");
+					PrintWriter openClassFileWriter = IOUtils.getWriter(openclassfile);
+					
+//					Lexicon poslexicon = corpus.getLexicon(pos);
+//					String[] posValues = poslexicon.getForms();
+//					for (int iV = 0 ; iV < posValues.length ; iV++) {
+//						if (iV == 0) openClassFileWriter.print(posValues[iV]);
+//						else openClassFileWriter.print(" "+posValues[iV]);
+//					}
+					openClassFileWriter.close();
+
+					// Call treetagger-train
+					if (ttSrcFile.exists() && lexique2.exists() && openclassfile.exists()) {
+						System.out.println("Running ");
+						String treetaggerBinDirectory = new File(TXMPreferences.getString(TreeTaggerPreferences.INSTALL_PATH, TBXPreferences.PREFERENCES_NODE), "bin").getAbsolutePath();
+						if (!treetaggerBinDirectory.endsWith("/")) treetaggerBinDirectory += "/";
+
+						TreeTagger tt = new TreeTagger(treetaggerBinDirectory, options);
+						tt.settoken();
+						tt.setquiet();
+						tt.setlemma();
+						tt.setsgml();
+						tt.setst(sentenceTag);
+						tt.setproto();
+						tt.setutf8();
+						tt.debug(true);
+						tt.traintreetagger(lexique2.getAbsolutePath(), openclassfile.getAbsolutePath(), ttSrcFile.getAbsolutePath(), model.getAbsolutePath());
+						
+						System.out.println("Done: "+model.getAbsolutePath());
+					} else {
+						System.out.println("Aborting.");
+					}
+					
+					return Status.OK_STATUS;
+				} catch (Exception e) {
+					System.out.println("Error while training TT: "+e);
+					Log.printStackTrace(e);
+				}
+				return Status.CANCEL_STATUS;
+			}
+		};
+		job.schedule();
+	}
+}

Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/preferences/TreeTaggerPreferencePage.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/preferences/TreeTaggerPreferencePage.java	(revision 0)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/preferences/TreeTaggerPreferencePage.java	(revision 687)
@@ -0,0 +1,63 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.treetagger.rcp.preferences;
+
+import org.eclipse.jface.preference.BooleanFieldEditor;
+import org.eclipse.jface.preference.DirectoryFieldEditor;
+import org.eclipse.jface.preference.StringFieldEditor;
+import org.eclipse.ui.IWorkbench;
+import org.txm.rcp.preferences.RCPPreferencesPage;
+import org.txm.rcp.preferences.TXMPreferenceStore;
+import org.txm.treetagger.core.preferences.TreeTaggerPreferences;
+import org.txm.treetagger.rcp.messages.TreeTaggerUIMessages;
+
+/**
+ * TreeTagger preferences page.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class TreeTaggerPreferencePage extends RCPPreferencesPage {
+
+	
+	@Override
+	public void createFieldEditors() {
+		this.addField(new DirectoryFieldEditor(TreeTaggerPreferences.INSTALL_PATH, TreeTaggerUIMessages.TreeTaggerPreferencePage_1, this.getFieldEditorParent()));
+		this.addField(new DirectoryFieldEditor(TreeTaggerPreferences.MODELS_PATH, TreeTaggerUIMessages.TreeTaggerPreferencePage_2, this.getFieldEditorParent()));
+		this.addField(new StringFieldEditor(TreeTaggerPreferences.OPTIONS, TreeTaggerUIMessages.TreeTaggerPreferencePage_3, this.getFieldEditorParent()));
+		this.addField(new BooleanFieldEditor(TreeTaggerPreferences.FIX_APOSTROPHES, TreeTaggerUIMessages.TreeTaggerPreferencePage_0, this.getFieldEditorParent()));
+	}
+	
+	
+	@Override
+	public void init(IWorkbench workbench) {
+		this.setPreferenceStore(new TXMPreferenceStore(TreeTaggerPreferences.PREFERENCES_NODE));
+	}
+
+}

Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/messages/TreeTaggerUIMessages.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/messages/TreeTaggerUIMessages.java	(revision 0)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/messages/TreeTaggerUIMessages.java	(revision 687)
@@ -0,0 +1,31 @@
+package org.txm.treetagger.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+
+/**
+ * TreeTagger UI Messages.
+ * 
+ * @author sjacquot
+ *
+ */
+public class TreeTaggerUIMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.treetagger.rcp.messages.messages"; //$NON-NLS-1$
+
+	public static String TreeTaggerPreferencePage_0;
+	public static String TreeTaggerPreferencePage_1;
+	public static String TreeTaggerPreferencePage_2;
+	public static String TreeTaggerPreferencePage_3;
+	
+
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, TreeTaggerUIMessages.class);
+	}
+
+	private TreeTaggerUIMessages() {
+	}
+	
+}

Index: tmp/org.txm.queryindex.rcp/src/org/txm/rcp/editors/queryindex/QueryIndexEditor.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/rcp/editors/queryindex/QueryIndexEditor.java	(revision 686)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/rcp/editors/queryindex/QueryIndexEditor.java	(revision 687)
@@ -71,16 +71,17 @@
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.part.EditorPart;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.TXMResult;
 import org.txm.functions.queryindex.QueryIndex;
 import org.txm.functions.queryindex.QueryIndexLine;
 import org.txm.index.core.functions.LineComparator.SortMode;
 import org.txm.index.rcp.messages.IndexUIMessages;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.swt.widget.NamedAssistedQueryWidget;
 import org.txm.rcp.swt.widget.NavigationWidget;
@@ -367,7 +368,7 @@
 					} catch (Exception e) {
 						System.out.println(e.getLocalizedMessage());
 						try {
-							System.out.println(RCPMessages.LastCQPError
+							System.out.println(TXMUIMessages.LastCQPError
 									+ CQPEngine.getCqiClient().getLastCQPError());
 						} catch (Exception e1) {
 							System.out.println(IndexUIMessages.IndexEditor_10
@@ -784,8 +785,8 @@
 		nColumn.pack();
 
 		unitColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
-		unitColumn.setText(RCPMessages.ReferencerEditor_9);
-		unitColumn.setToolTipText(RCPMessages.ReferencerEditor_9);
+		unitColumn.setText(TXMCoreMessages.common_units);
+		unitColumn.setToolTipText(TXMCoreMessages.common_units);
 		unitColumn.setWidth(200);
 		unitColumn.addSelectionListener(new SelectionListener() {
 			@Override
@@ -817,16 +818,16 @@
 		freqColumn = new TableColumn(viewer.getTable(), SWT.RIGHT);
 		try {
 			if (partition != null)
-				freqColumn.setText(RCPMessages.FrequencyListEditorInput_4
+				freqColumn.setText(TXMUIMessages.FrequencyListEditorInput_4
 						+ " T=" + partition.getTotalSize()); //$NON-NLS-1$
 			else
-				freqColumn.setText(RCPMessages.FrequencyListEditorInput_4
+				freqColumn.setText(TXMUIMessages.FrequencyListEditorInput_4
 						+ " T=" + corpus.getSize()); //$NON-NLS-1$
 		} catch (CqiClientException e2) {
 			Log.printStackTrace(e2);
 			return;
 		}
-		freqColumn.setToolTipText(RCPMessages.FrequencyListEditorInput_4);
+		freqColumn.setToolTipText(TXMUIMessages.FrequencyListEditorInput_4);
 		freqColumn.setWidth(100);
 		freqColumn.addSelectionListener(new SelectionListener() {
 			@Override
Index: tmp/org.txm.queryindex.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.queryindex.rcp/META-INF/MANIFEST.MF	(revision 686)
+++ tmp/org.txm.queryindex.rcp/META-INF/MANIFEST.MF	(revision 687)
@@ -9,6 +9,7 @@
  org.eclipse.ui.editors;bundle-version="3.8.100",
  org.eclipse.core.expressions;bundle-version="3.4.500",
  org.txm.core;bundle-version="0.7.0",
+ org.txm.lexicaltable.rcp;bundle-version="1.0.0",
  org.txm.index.core;bundle-version="1.0.0",
  org.txm.index.rcp;bundle-version="1.0.0",
  org.txm.rcp;bundle-version="0.7.8",
Index: tmp/org.txm.rcp/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.rcp/.settings/org.eclipse.core.resources.prefs	(revision 686)
+++ tmp/org.txm.rcp/.settings/org.eclipse.core.resources.prefs	(revision 687)
@@ -1,7 +1,7 @@
 eclipse.preferences.version=1
 encoding//OSGI-INF/l10n/bundle_fr.properties=ISO-8859-1
 encoding//OSGI-INF/l10n/bundle_ru_utf-8.properties=UTF-8
-encoding//src/main/java/org/txm/rcp/messages.properties=UTF-8
-encoding//src/main/java/org/txm/rcp/messages_fr.properties=UTF-8
-encoding//src/main/java/org/txm/rcp/messages_ru.properties=UTF-8
+encoding//src/main/java/org/txm/rcp/messages/messages.properties=UTF-8
+encoding//src/main/java/org/txm/rcp/messages/messages_fr.properties=UTF-8
+encoding//src/main/java/org/txm/rcp/messages/messages_ru.properties=UTF-8
 encoding/<project>=UTF-8
